---
title: 'Feature-Policy: display-capture'
slug: Web/HTTP/Headers/Feature-Policy/display-capture
---
<div>{{HTTPSidebar}}</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>display-capture</code> directive controls whether or not the document is permitted to use <a href="/en-US/docs/Web/API/Screen_Capture_API">Screen Capture API</a>, i.e.,{{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}} to capture the screen's contents.</span></p>

<p>If <code>display-capture</code> is disabled in a document, the document will not be able to initiate screen capture via {{domxref("MediaDevices.getDisplayMedia", "getDisplayMedia()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Feature-Policy: display-capture &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>The default alowlist is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://w3c.github.io/mediacapture-screen-share/#feature-policy-integration">Screen Capture</a></td>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/permissions/#dom-permissionname-display-capture">Permissions</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.headers.Feature-Policy.display-capture")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API">Screen Capture API</a></li>
 <li><a href="/en-US/docs/Web/API/Screen_Capture_API/Using_Screen_Capture">Using the Screen Capture API</a></li>
</ul>
